cudnn_frontend::EngineFallbackList_v8
cudnn_frontend::BackendDescriptor
cudnn_frontend_EngineFallbackList.h
friend class friend class EngineFallbackListBuilder_v8 EngineFallbackListBuilder_v8 cudnn_frontend::EngineFallbackListBuilder_v8::build
ManagedOpaqueDescriptor ManagedOpaqueDescriptor cudnn_frontend::EngineFallbackList_v8::opGraph opGraph = nullptr
cudnnBackendDescriptorType_t cudnnBackendDescriptorType_t cudnn_frontend::EngineFallbackList_v8::mode mode cudnn_frontend::EngineFallbackListBuilder_v8::setOperation
uint64_t uint64_t cudnn_frontend::EngineFallbackList_v8::num_ops num_ops
std::vector< ManagedOpaqueDescriptor > std::vector<ManagedOpaqueDescriptor> cudnn_frontend::EngineFallbackList_v8::m_engine_configs m_engine_configs EngineFallbackList_v8 getFallbackList
std::string std::string cudnn_frontend::EngineFallbackList_v8::opGraphTag opGraphTag
std::string std::string cudnn_frontend::EngineFallbackList_v8::describe () const override describe describe

Return a string describing the backend Descriptor.

auto auto cudnn_frontend::EngineFallbackList_v8::getFallbackList () -> std::vector< ManagedOpaqueDescriptor > & getFallbackList m_engine_configs ~EngineFallbackList_v8
cudnn_frontend::EngineFallbackList_v8::~EngineFallbackList_v8
()=default
~EngineFallbackList_v8
getFallbackList
cudnn_frontend::EngineFallbackList_v8::EngineFallbackList_v8
(EngineFallbackList_v8 &&from)
EngineFallbackList_v8
EngineFallbackList_v8 && from
EngineFallbackList_v8
m_engine_configs
operator=
cudnn_frontend::EngineFallbackList_v8::EngineFallbackList_v8
()=default
EngineFallbackList_v8
EngineFallbackList_v8
cudnn_frontend::EngineFallbackList_v8::EngineFallbackList_v8
(EngineFallbackList_v8 const &)=delete
EngineFallbackList_v8
EngineFallbackList_v8 const &
EngineFallbackList_v8 & EngineFallbackList_v8& cudnn_frontend::EngineFallbackList_v8::operator= (EngineFallbackList_v8 const &)=delete operator= EngineFallbackList_v8 const & cudnn_frontend::EngineFallbackListBuilder_v8::build EngineFallbackList_v8
cudnn_frontend::EngineFallbackList_v8
cudnn_frontend::BackendDescriptor
shared_ptr< OpaqueBackendPointer >
T
std::vector< T >
+elements
cudnn_frontend::EngineFallbackList_v8
-m_engine_configs
-num_ops
-opGraphTag
-opGraph
-mode
uint64_t
cudnnStatus_t
std::vector< ManagedOpaqueDescriptor >
+elements
< ManagedOpaqueDescriptor >
std::basic_string< char >
cudnnBackendDescriptorType_t
ManagedOpaqueDescriptor
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::string
- cudnn_frontend::EngineFallbackList_v8
  BackendDescriptor
- cudnn_frontend::EngineFallbackList_v8
  BackendDescriptor
- cudnn_frontend::EngineFallbackList_v8
  describe
- cudnn_frontend::EngineFallbackList_v8
  EngineFallbackList_v8
- cudnn_frontend::EngineFallbackList_v8
  EngineFallbackList_v8
- cudnn_frontend::EngineFallbackList_v8
  EngineFallbackList_v8
- cudnn_frontend::EngineFallbackList_v8
  EngineFallbackListBuilder_v8
- cudnn_frontend::EngineFallbackList_v8
  err_msg
- cudnn_frontend::EngineFallbackList_v8
  get_desc
- cudnn_frontend::EngineFallbackList_v8
  get_error
- cudnn_frontend::EngineFallbackList_v8
  get_raw_desc
- cudnn_frontend::EngineFallbackList_v8
  get_status
- cudnn_frontend::EngineFallbackList_v8
  getFallbackList
- cudnn_frontend::EngineFallbackList_v8
  initialize_managed_backend_pointer
- cudnn_frontend::EngineFallbackList_v8
  m_engine_configs
- cudnn_frontend::EngineFallbackList_v8
  mode
- cudnn_frontend::EngineFallbackList_v8
  num_ops
- cudnn_frontend::EngineFallbackList_v8
  operator=
- cudnn_frontend::EngineFallbackList_v8
  opGraph
- cudnn_frontend::EngineFallbackList_v8
  opGraphTag
- cudnn_frontend::EngineFallbackList_v8
  pointer
- cudnn_frontend::EngineFallbackList_v8
  set_error
- cudnn_frontend::EngineFallbackList_v8
  set_status
- cudnn_frontend::EngineFallbackList_v8
  status
- cudnn_frontend::EngineFallbackList_v8
  ~EngineFallbackList_v8